- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- v
- w

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- AERC : sbc_st_std_inquiry_data
- asc : s_scsi_sense
- ascq : s_scsi_sense

### - b -

- b : Union32 , Union16
- bAlternateSetting : S_usb_interface_descriptor
- bcdDevice : S_usb_device_descriptor
- bConfigurationValue : S_usb_configuration_descriptor
- bCountryCode : S_usb_hid_descriptor
- bDescriptorType : S_usb_interface_descriptor , S_usb_device_descriptor , S_usb_language_id , S_usb_manufacturer_string_descriptor , S_usb_product_string_descriptor , S_usb_serial_number , S_usb_endpoint_descriptor , S_usb_hid_descriptor , S_usb_configuration_descriptor , S_usb_device_qualifier_descriptor
- bDeviceClass : S_usb_device_qualifier_descriptor , S_usb_device_descriptor
- bDeviceProtocol : S_usb_device_qualifier_descriptor , S_usb_device_descriptor
- bDeviceSubClass : S_usb_device_qualifier_descriptor , S_usb_device_descriptor
- bEndpointAddress : S_usb_endpoint_descriptor
- bInterfaceClass : S_usb_interface_descriptor
- bInterfaceNumber : S_usb_interface_descriptor
- bInterfaceProtocol : S_usb_interface_descriptor
- bInterfaceSubClass : S_usb_interface_descriptor
- bInterval : S_usb_endpoint_descriptor
- bLength : S_usb_language_id , S_usb_interface_descriptor , S_usb_device_descriptor , S_usb_serial_number , S_usb_manufacturer_string_descriptor , S_usb_product_string_descriptor , S_usb_hid_descriptor , S_usb_endpoint_descriptor , S_usb_configuration_descriptor , S_usb_device_qualifier_descriptor
- bmAttibutes : S_usb_configuration_descriptor
- bmAttributes : S_usb_endpoint_descriptor
- bMaxPacketSize0 : S_usb_device_descriptor , S_usb_device_qualifier_descriptor
- bmRequestType : S_UsbRequest
- bNumConfigurations : S_usb_device_descriptor , S_usb_device_qualifier_descriptor
- bNumDescriptors : S_usb_hid_descriptor
- bNumEndpoints : S_usb_interface_descriptor
- bNumInterfaces : S_usb_configuration_descriptor
- bRDescriptorType : S_usb_hid_descriptor
- bRequest : S_UsbRequest
- bReserved : S_usb_device_qualifier_descriptor
- bscHID : S_usb_hid_descriptor
- bscUSB : S_usb_device_qualifier_descriptor , S_usb_device_descriptor

### - c -

- cfg_mouse : S_usb_user_configuration_descriptor
- CommandQueue : sbc_st_std_inquiry_data

### - d -

- DeviceType : sbc_st_std_inquiry_data
- dw : Union32

### - e -

- ep1_mouse : S_usb_user_configuration_descriptor
- ep1_ms : S_usb_user_configuration_descriptor
- ep2_ms : S_usb_user_configuration_descriptor

### - h -

- hid_mouse : S_usb_user_configuration_descriptor

### - i -

- iConfiguration : S_usb_configuration_descriptor
- idProduct : S_usb_device_descriptor
- idVendor : S_usb_device_descriptor
- ifc_mouse : S_usb_user_configuration_descriptor
- ifc_ms : S_usb_user_configuration_descriptor
- iInterface : S_usb_interface_descriptor
- iManufacturer : S_usb_device_descriptor
- iProduct : S_usb_device_descriptor
- iSerialNumber : S_usb_device_descriptor

### - k -

- key : s_scsi_sense

### - l -

- LinkedCommands : sbc_st_std_inquiry_data

### - m -

- MaxPower : S_usb_configuration_descriptor

### - n -

- nb_cylinder : s_format
- nb_head : s_format
- nb_hidden_sector : s_format
- nb_sector : s_format
- nb_sector_per_cluster : s_format
- NormACA : sbc_st_std_inquiry_data

### - o -

- Obsolete0 : sbc_st_std_inquiry_data

### - p -

- PeripheralQualifier : sbc_st_std_inquiry_data

### - r -

- RelativeAddressing : sbc_st_std_inquiry_data
- RemovableMedia : sbc_st_std_inquiry_data
- report : S_usb_hid_report_descriptor_kbd , S_usb_hid_report_descriptor_mouse
- Reserved1 : sbc_st_std_inquiry_data
- Reserved3 : sbc_st_std_inquiry_data
- Reserved4 : sbc_st_std_inquiry_data
- Reserved5 : sbc_st_std_inquiry_data

### - s -

- SoftReset : sbc_st_std_inquiry_data
- Synchronous : sbc_st_std_inquiry_data

### - v -

- Version : sbc_st_std_inquiry_data

### - w -

- w : Union32 , Union16
- wDescriptorLength : S_usb_hid_descriptor
- Wide16Bit : sbc_st_std_inquiry_data
- Wide32Bit : sbc_st_std_inquiry_data
- wIndex : S_UsbRequest
- wlangid : S_usb_language_id
- wLength : S_UsbRequest
- wMaxPacketSize : S_usb_endpoint_descriptor
- wstring : S_usb_serial_number , S_usb_product_string_descriptor , S_usb_manufacturer_string_descriptor
- wTotalLength : S_usb_configuration_descriptor
- wValue : S_UsbRequest